/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.JCVSReport.metric;

import java.util.*;
import ca.utoronto.JCVSReport.*;

/**
 * Gather one metric from a revision of a file and add it to the Bloof
 * database
 *
 * @author David James
 */
public interface Metric {

    /** Initialize Metric from properties file
     * @param database Where to insert the metrics
     * @param id The name of the metric
     * @param props The properties of this metric as specified in the
     * .properties file */
    void init(MetricDatabase database, String id, ResourceBundle props)
        throws Exception;


    /** Process the contents of a revision of a file with each metric
     * @param revisionId A unique ID for this revision of this file
     * @param contents The contents of the file as a string
     * @throws Exception if this revision cannot be processed
     * */
    void processRevision(String revisionId, String contents) throws Exception;

}
