/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.SimpleProcess;

import java.io.BufferedReader;
import java.io.IOException;

/**
 * StreamGobbler: Read and throw away the output of a stream
 *
 * @author David James
 */
public class StreamGobbler extends Thread {
    BufferedReader reader;

    /** Create a new StreamGobbler object for reading the full contents of a
     * stream
     * @param reader The stream we'd like to gobble */
    public StreamGobbler(final BufferedReader reader) {
        this.reader = reader;
    }

    /** Read the full contents of the given stream */
    public void run() {
        try {
            while (reader.readLine() != null) { }
        } catch (IOException ex) {
            System.out.flush();
            ex.printStackTrace();
            System.err.flush();
            System.exit(1);
        }
    }
}
