/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.JCVSReport.metric;

import junit.framework.Test;
import junit.framework.TestSuite;


/**
 * Test suite that incorporates all metric unit tests
 *
 * @author Olga Rodimina
 */
public class AllMetricTests {

    /**
     * Create Test suite incorporating all metric tests
     *
     * @return Test suite incorporating all metric tests
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(
                "Test for ca.utoronto.JCVSReport.metric");

        // Add metric tests to the testsuite
        suite.addTestSuite(MetricGraphPropertiesTest.class);
        suite.addTestSuite(MetricRevisionMapTest.class);
        suite.addTestSuite(MetricRevisionTest.class);
        suite.addTestSuite(MetricSetTest.class);
        suite.addTestSuite(RegexLineCounterTest.class);
        suite.addTestSuite(RegexMatchCounterTest.class);
        suite.addTestSuite(SyntaxTreeRegexMatchCounterTest.class);

        return suite;
    }
}
