/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.JCVSReport.metric;

import junit.framework.TestCase;

import java.util.regex.Pattern;

/**
 * The test class for RegexMatchCounter
 *
 * @author Olga Rodimina
 */
public class RegexMatchCounterTest extends TestCase {
    Pattern regex; // regular expression
    String testStr; // test string to match reqular expression

    /**
     * Sets up the test string and regular expression for the test
     */
    public void setUp() {
        testStr = "a 1 b 2 cdefg 44";
        regex = Pattern.compile("[\\d]");
    }

    /**
     * testCountMatches tests whether RegexMatchCounter correctly counts
     * number of matches of the regular expression in the
     * specified string
     */
    public void testCountMatches() {
        RegexMatchCounter matcher = new RegexMatchCounter();
        int numMatches = matcher.countMatches(testStr, regex);

        assertEquals(4, numMatches);
    }

}
