/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.JCVSReport.report;

import junit.framework.Test;
import junit.framework.TestSuite;


/**
 * Test Suite that incorporates all JUnit tests for the report
 *
 * @author Olga Rodimina
 */
public class AllReportTests {
    /**
     * Creates a test suite with all the report tests
     *
     * @return Test suite
     */
    public static Test suite() {
        TestSuite suite = new TestSuite(
                "Test for ca.utoronto.JCVSReport.report");

        // add report tests
        suite.addTestSuite(ReportTest.class);
        suite.addTestSuite(BasicGraphTest.class);
        suite.addTestSuite(TimeSeriesGraphTest.class);

        return suite;
    }
}
