/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.JCVSReport.report;

import junit.framework.TestCase;

import java.io.File;
import java.io.FileOutputStream;
import java.io.PrintWriter;


/**
 * Test case for Report
 *
 * @author Olga Rodimina
 */
public class ReportTest extends TestCase {
    Report report;

    /**
     * Sets up report object for test
     *
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        report = new Report(null);
    }

    /**
     * Tests if the report file was written in the specified directory
     */
    public void testWrite() {
        /* Display all reports */
        try {
            FileOutputStream reportFile = new FileOutputStream(
                    "report_test.html");

            report.write(new PrintWriter(reportFile), new File("test"));
        } catch (Exception e) {
            e.printStackTrace();
        }

        // Check if file was created
        File f = new File("report_test.html");

        assertTrue(f.exists());
    }

    /**
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        // delete test_report.html that was created during the test
        new File("report_test.html").delete();
    }
}
