/*
 *  JCVSReport - Assess the Progress of a Java Project in CVS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package ca.utoronto.SimpleProcess;

import junit.framework.TestCase;
import java.io.*;

/**
 * Test the StreamGobbler class
 * @author David James
 */
public class StreamGobblerTest extends TestCase {

    String testString = "";

    /** Check that the constructor works */
    public void testStreamGobbler() throws Exception {
        boolean threwError = false;
        try {
            new StreamGobbler(null).run();
        } catch (NullPointerException ex) {
            threwError = true;
        }
        assertTrue(threwError);
    }

    /** Test the run subroutine */
    public void testRun() throws Exception {
        // Create a long test string
        for (int i = 0; i < 1000; i++) {
            testString += "hello world\n";
        }

        // Test with a full input stream
        BufferedReader stream = new BufferedReader(
                new StringReader(testString));
        new StreamGobbler(stream).run();
        assertEquals(null, stream.readLine());

        // Test with a partial input stream
        stream = new BufferedReader(new StringReader(testString));
        assertTrue(null != stream.readLine());
        new StreamGobbler(stream).run();
        assertEquals(null, stream.readLine());

        // Test with an empty input stream
        new StreamGobbler(stream).run();
        assertEquals(null, stream.readLine());
    }

}
